%define module	HTML-Widget
%define name	perl-%{module}
%define	modprefix HTML

%define version	1.11
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	HTML Widget And Validation Framework
License:	Artistic/GPL
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Class::Accessor::Chained::Fast)
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(Class::Data::Accessor)
BuildRequires:	perl(Date::Calc)
BuildRequires:	perl(Email::Valid)
BuildRequires:	perl(HTML::Element) >= 3.22
BuildRequires:	perl(HTML::Scrubber)
BuildRequires:	perl(Module::Pluggable::Fast)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::NoWarnings)
Requires:	perl(Module::Pluggable::Fast)
Requires:	perl(Class::Accessor::Chained::Fast)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Create easy to maintain HTML widgets!

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}





%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11-5mdv2009.0
+ Revision: 257243
- rebuild

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-3mdv2008.1
+ Revision: 138297
- fix dependencies again

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-2mdv2008.1
+ Revision: 138100
- fix dependencies

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdv2008.0
+ Revision: 20151
- 1.11


* Thu Aug 17 2006 Scott Karns <scottk@mandriva.org>
+ 08/17/06 02:11:44 (56537)
Version 1.08

* Sat Aug 12 2006 Scott Karns <scottk@mandriva.org>
+ 08/12/06 13:35:06 (55741)
- Rebuild
- Spec file cleanup

* Sat Aug 12 2006 Scott Karns <scottk@mandriva.org>
+ 08/12/06 13:24:44 (55735)
import perl-HTML-Widget-1.07-2mdv2007.0

* Fri Jun 16 2006 Scott Karns <scottk@mandriva.org> 1.07-2mdv2007.0
- added BuildRequires perl(Test::NoWarnings)

* Tue May 02 2006 Scott Karns <scottk@mandriva.org> 1.07-1mdk
- version 1.07
- BuildRequires updated for new version

* Thu Apr 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- better buildrequires syntax
- fix directory ownership

* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.05-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-1mdk
- First Mandriva release

